Bug 1308303 - Ruby will be reaching EOL soon
Ruby will be reaching EOL soon
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ruby (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Vít Ondruch
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-14 01:34 EST by Renich Bon Ciric
Modified: 2016-02-22 06:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-22 06:12:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Renich Bon Ciric 2016-02-14 01:34:04 EST
https://www.ruby-lang.org/en/news/2015/12/16/ruby-2-0-0-p648-released/

Please, read that. Ruby 2.0 will reach EOL on February 24, 2016. Please, upgrade.
Comment 2 Vít Ondruch 2016-02-22 06:12:27 EST
Thank you for your report.

Nevertheless, since we keep our API/ABI promise, we won't upgrade Ruby to the newer major version in base RHEL7, but we keep fixing bugs if they should be critical and of course we keep providing security fixes.

If you need more recent versions, please consider using Red Hat Software Collections.

Note You need to log in before you can comment on or make changes to this bug.